﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AirFusion.Manager.DeviceManager
{
	/// <summary>
	/// Represnets the session ID.
	/// </summary>
	public interface ISessionId
	{
		/// <summary>
		/// Gets the byte array format of session ID.
		/// </summary>
		/// <returns></returns>
		byte[] GetByteArray();

		/// <summary>
		/// Sets the byte array format of session ID.
		/// </summary>
		/// <param name="byteArray">The byte array.</param>
		void SetByteArray(byte[] byteArray);
	}
}