﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AirFusion.Manager.FeatureHelper
{
	public sealed partial class ConfigurationHelper
	{
		/// <summary>
		/// Represents the methods that will handle the event of display configuration updated.
		/// </summary>
		/// <param name="sender">The sender.</param>
		/// <param name="eventArgs">The <see cref="DisplayConfigurationUpdatedEventArgs" /> instance containing the event data.</param>
		public delegate void DisplayConfigurationUpdatedEventHandler(object sender, DisplayConfigurationUpdatedEventArgs eventArgs);
	}
}