// dllmain.cpp : Defines the entry point for the DLL application.
#include "stdafx.h"
#include "PullSrcFilter.h"

extern "C" BOOL WINAPI DllEntryPoint(HINSTANCE, ULONG, LPVOID);

BOOL APIENTRY DllMain( HMODULE hModule,
					  DWORD  ul_reason_for_call,
					  LPVOID lpReserved
					  )
{
	/*switch (ul_reason_for_call)
	{
	case DLL_PROCESS_ATTACH:
	case DLL_THREAD_ATTACH:
	case DLL_THREAD_DETACH:
	case DLL_PROCESS_DETACH:
	break;
	}
	return TRUE;*/

	return DllEntryPoint((HINSTANCE)(hModule), ul_reason_for_call, lpReserved);
}

// For regsvr32
STDAPI DllRegisterServer()
{
	return AMovieDllRegisterServer2( TRUE );
}

STDAPI DllUnregisterServer()
{
	return AMovieDllRegisterServer2( FALSE );
}

const AMOVIESETUP_MEDIATYPE sudOpPinTypes =
{
	&MEDIATYPE_Stream,       // Major type
	&MEDIASUBTYPE_MPEG2_TRANSPORT      // Minor type
};

const AMOVIESETUP_PIN sudOpPin =
{
	L"Output",              // Pin string name
	FALSE,                  // Is it rendered
	TRUE,                   // Is it an output
	FALSE,                  // Can we have none
	FALSE,                  // Can we have many
	&CLSID_NULL,            // Connects to filter
	NULL,                   // Connects to pin
	1,                      // Number of types
	&sudOpPinTypes };       // Pin details

const AMOVIESETUP_FILTER sudMyax =
{
	&CLSID_PullSrcFilter,    // Filter CLSID
	L"Pull Source Filter",       // String name
	MERIT_DO_NOT_USE,       // Filter merit
	1,                      // Number pins
	&sudOpPin               // Pin details
};

// COM global table of objects in this dll

CFactoryTemplate g_Templates[] = {
	{ L"Pull Source Filter"
	, &CLSID_PullSrcFilter
	, PullSrcFilter::CreateInstance
	, NULL
	, &sudMyax }
};
int g_cTemplates = sizeof(g_Templates) / sizeof(g_Templates[0]);